Package Details: squeeze-git 0.4.90git.r1039.41aea82-1

Git Clone URL: https://aur.archlinux.org/squeeze-git.git (read-only)
Package Base: squeeze-git
Description: Squeeze is a modern and advanced archive manager for the Xfce Desktop Environment
Upstream URL: http://www.xfce.org/
Licenses: GPL2
Groups: xfce4-git
Conflicts: squeeze
Provides: squeeze, squeeze-git
Submitter: Skunnyk
Maintainer: None
Last Packager: FredBezies
Votes: 42
Popularity: 0.077752
First Submitted: 2011-09-14 19:55
Last Updated: 2015-12-02 08:48

Latest Comments

Hudd commented on 2015-04-02 19:11

Please add the following (or something along these lines) into pkgbuild:

mkdir -p $pkgdir/usr/lib/xfce4/thunar-archive-plugin
cp $pkgdir/usr/lib/{squeeze,xfce4}/thunar-archive-plugin/squeeze.tap

So it works with thunar-archive-plugin.

rogue_ronin commented on 2014-12-31 02:49

Trying to use this with thunar-archive-plugin. I've created a .tap file in /usr/lib/xfce4/thunar-archive-plugin, and set its permissions to executable.

This is the relevant section of the .tap file, based on the squeeze --help command:

===============

case $action in
create)
exec squeeze --new="$@"
;;

extract-here)
exec squeeze --extract-to="$folder" "$@"
;;

extract-to)
exec squeeze --extract "$@"
;;

*)
echo "Unsupported action '$action'" >&2
exit 1
esac

===============

I've only tried it with zip and tar.gz files. Both of these leave a dialog box up, pulsing away, even when the files are extracted properly. Zip creates the wrong folder name (unzipped) -- and if you choose the extract-to option, nothing is extracted. I could describe more, but it's easy to set up and test.

Have I somehow done this wrongly?

Aloha.

steinkrauz commented on 2014-11-25 11:12

I've added a patch for .tar.xz files

Dea993 commented on 2014-11-24 16:42

i can't open tar.xz archive

Dea993 commented on 2014-11-24 14:24

now it works

steinkrauz commented on 2014-11-24 12:42

Removed --disable-debug as a workaround for the segmentation fault bug.

Dea993 commented on 2014-11-22 09:56

segmentatio error, when i open an archive

SirPortal commented on 2014-08-26 16:01

I cannot delete it in apper, octopi, appset or by pacman -R squeeze(-git) - no such package. How to?

Alad commented on 2014-08-03 22:31

xfconf is still not listed as depends, so the build still fails

Skunnyk commented on 2014-04-29 16:21

@Weby : the git version already use gio backend, no need to port it :)

All comments